      subroutine inv2st(inv1,inv2,inpOrder, rho,mom)
      implicit none
c
c     inpOrder = +1, inv1=invL, inv2=invR 
c       input ORDER: left  Riemann Invarient first then 
c                    right Riemann Invarient 
c     inpOrder = -1, inv1=invR, inv2=invL
c       input ORDER: right Riemann Invarient first then 
c                    left  Riemann Invarient 
c
c     invL = LEFT  going Riemann invarient (along dx/dt=mom/rho-a)
c          = ln(rho)-mom/rho/a
c     invR = RIGHT going Riemann invarient (along dx/dt=mom/rho+a)
c          = ln(rho)+mom/rho/a 
c
      include 'mat_constants.h'

c     Input:
      real*8 inv1,inv2
      integer inpOrder
c     Output:
      real*8 rho,mom
c-----

      rho = dexp( 0.5d0*(inv2+inv1) )
      mom = rho*a0*0.5d0*(inv2-inv1) * inpOrder

      end
